classification
Title: Document unique behavior of 'getgroups' on OSX
Type: behavior Stage: resolved
Components: Documentation, macOS Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: belopolsky, docs@python, hynek, michael.foord, ned.deily, python-dev, r.david.murray, ronaldoussoren
Priority: normal Keywords: needs review, patch

Created on 2010-11-16 14:06 by r.david.murray, last changed 2012-04-30 18:19 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
issue10433.patch ronaldoussoren, 2011-03-14 20:03 review
issue10433-v2.patch ned.deily, 2011-04-04 06:07 review
Messages (6)
msg121293 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-11-16 14:06
Per issue 7900, os.getgroups on OSX does not behave the same way as on any other unix platform.  This seems worthy of a documentation note, since anyone trying to write portable code could get bit by this.

I don't really understand the relationship on OSX between what the current os.getgroups returns, what the normal unix os.getgroups returns, and what things a process can actually *do*, so I can't write that documentation.  Hopefully someone else can.

A doc note is probably also needed about the relationship between os.setgroups and os.getgroups on OSX, which again I do not understand and so cannot write.
msg130885 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2011-03-14 20:03
I do understand the issue, but I'm not sure if I can write it down consisely. I've attached an initial attempt (patch is relative to the default branch, I'll port to 2.7 and 3.2 if it looks OK)
msg132917 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-04-04 06:07
Here's a revised doc patch. As noted from my investigation in Issue7900, the key getgroups behavior change is with the OS X 10.6 ABI (so > 10.5), not 10.5.
msg159620 - (view) Author: Hynek Schlawack (hynek) * (Python committer) Date: 2012-04-29 16:06
This one LGTM, still applies cleanly against current tip and is languishing for a way to long time.

Commit & close?
msg159717 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-30 18:16
New changeset 2468b58f7fce by Ned Deily in branch '2.7':
Issue #10433: Document unique behavior of 'os.getgroups' on Mac OS X.
http://hg.python.org/cpython/rev/2468b58f7fce

New changeset 5c801899cd6d by Ned Deily in branch '3.2':
Issue #10433: Document unique behavior of 'os.getgroups' on Mac OS X.
http://hg.python.org/cpython/rev/5c801899cd6d

New changeset e7d545a5f6bc by Ned Deily in branch 'default':
Issue #10433: merge
http://hg.python.org/cpython/rev/e7d545a5f6bc
msg159720 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-04-30 18:19
Committed with minor revisions for 2.7.4, 3.2.4, and 3.3.0a3.
History
Date User Action Args
2012-04-30 18:19:22ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg159720

stage: commit review -> resolved
2012-04-30 18:16:22python-devsetnosy: + python-dev
messages: + msg159717
2012-04-29 16:06:23hyneksetnosy: + hynek

messages: + msg159620
versions: + Python 3.3
2011-04-04 06:07:00ned.deilysetfiles: + issue10433-v2.patch

messages: + msg132917
stage: needs patch -> commit review
2011-03-14 20:03:29ronaldoussorensetfiles: + issue10433.patch

messages: + msg130885
keywords: + patch, needs review
nosy: ronaldoussoren, belopolsky, ned.deily, r.david.murray, michael.foord, docs@python
2010-11-16 17:32:47r.david.murraysetnosy: + michael.foord
2010-11-16 16:18:41r.david.murraysetnosy: + ronaldoussoren, ned.deily
2010-11-16 15:19:11belopolskysetassignee: docs@python

nosy: + docs@python
components: + Documentation, macOS
versions: + Python 3.2
2010-11-16 15:18:17belopolskysetnosy: + belopolsky
2010-11-16 14:06:05r.david.murraycreate